void CvetoMuzik() {
  static uint8_t led = 0;
  static uint8_t count = 0;
  static int16_t col = 0;

  if ( (MenuFlag == 15 || ledShow || systemState == PUMPING ) &&  LEDtimer.isReady()) {
    if (systemState == PUMPING) {
      if (++count > 3) {
        count = 0;
        strip.setLED(curPumping, mWHEEL(col));           // зажгли цвет
        strip.show();
        col += 450;
        if (col > 1350) {
          col = 0;
        }
      }
    } else {
      strip.setLED(led , mWHEEL(col));
      strip.show();
      if (++led >= NUM_SHOTS) {
        led = 0;
        col += 450;
        if (col > 1350) {
          col = 0;
          if (++count == 6) {  // колличество проходов иллюминации после тоста
            count = 0;
            if (MenuFlag != 15) {
              check = true; // если не в меню настроек, то проверяем рюмки
            }
          }
        }
      }
    }
  }


  if (check) { // проверка рюмок
    for (led = 0; led < NUM_SHOTS; led++) {
      if (shotStates[led] == READY) {                    // налитая рюмка, статус: готов
        strip.setLED(led, mCOLOR(LIME));             // подсветили
      } else if (shotStates[led] == EMPTY) {
        strip.setLED(led, mCOLOR(RED));
      } else if (shotStates[led] == NO_GLASS) {
        strip.setLED(led, mCOLOR(BLACK));
      }
    }
    LEDtimer.reset();
    LEDchanged = true;
    check = false;
    ledShow = false;
    led = 0;
    col = 0;
    count = 0;
  }
  // отрисовка светодиодов по флагу
  if (!ledShow && LEDchanged && LEDtimer.isReady()) {
    LEDchanged = false;
    strip.show();
  }
}
